Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Functions | Variables
win32ole_method.h File Reference

Go to the source code of this file.

## Data Structures
struct | olemethoddata

## Functions
VALUE | folemethod_s_allocate (VALUE klass)
VALUE | ole_methods_from_typeinfo (ITypeInfo *pTypeInfo, int mask)
VALUE | create_win32ole_method (ITypeInfo *pTypeInfo, VALUE name)
struct olemethoddata * | olemethod_data_get_struct (VALUE obj)
void | Init_win32ole_method (void)

## Variables
VALUE | cWIN32OLE_METHOD

## Function Documentation

## ◆ create_win32ole_method()

VALUE create_win32ole_method | ( | ITypeInfo * | pTypeInfo,
|  | VALUE | name
| ) |  |

Definition at line 210 of file win32ole_method.c.

References cWIN32OLE_METHOD, folemethod_s_allocate(), and obj.

## ◆ folemethod_s_allocate()

VALUE folemethod_s_allocate | ( | VALUE | klass | ) |

Definition at line 239 of file win32ole_method.c.

References klass, obj, and TypedData_Make_Struct.

Referenced by create_win32ole_method(), and Init_win32ole_method().

## ◆ Init_win32ole_method()

void Init_win32ole_method | ( | void |  | ) |

Definition at line 926 of file win32ole_method.c.

References cWIN32OLE_METHOD, folemethod_s_allocate(), rb_cObject, rb_define_alloc_func(), rb_define_class(), and rb_define_method().

## ◆ ole_methods_from_typeinfo()

VALUE ole_methods_from_typeinfo | ( | ITypeInfo * | pTypeInfo,
|  | int | mask
| ) |  |

Definition at line 112 of file win32ole_method.c.

References eWIN32OLEQueryInterfaceError, HRESULT(), i, OLE_GET_TYPEATTR, ole_raise(), olemethoddata::pTypeInfo, and rb_ary_new().

## ◆ olemethod_data_get_struct()

struct olemethoddata* olemethod_data_get_struct | ( | VALUE | obj | ) |

Definition at line 67 of file win32ole_method.c.

References obj, and TypedData_Get_Struct.

## Variable Documentation

## ◆ cWIN32OLE_METHOD

VALUE cWIN32OLE_METHOD

Definition at line 10 of file win32ole_method.h.

Referenced by create_win32ole_method(), and Init_win32ole_method().